<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 501.10</title>
</head>
<body>
    
</body>
<script>
    //Code JS viết tại đây
    //1
    function kiemTraMotBienCoPhaiLaMang(paramData) {
        return Array.isArray(paramData);
    }
    console.log(kiemTraMotBienCoPhaiLaMang(("Devcamp User").split()));
    console.log(kiemTraMotBienCoPhaiLaMang("Devcamp"));
    //2
    function traVePhanTuThuNCuaMang(paramArray, n) {
        return paramArray[n];
    }
    console.log(traVePhanTuThuNCuaMang([1,4,3,5,6],3));
    //3
    function sapXepMangTangDan(paramArray) {
        return paramArray.sort(function(a, b){return a - b});
    }
    console.log(sapXepMangTangDan([-3,-5,-9,1,3,5,2]));
    //4
    function traVeViTriThuNTrongMang(paramArray, n) {
        return paramArray.indexOf(n);
    }
    console.log(traVeViTriThuNTrongMang([1,2,3,4,5,6],7));
    //5
    function noiHaiMang(paramArray1, paramArray2){
        return paramArray1.concat(paramArray2);
    }
    //6
    //7
    //8
    function getRandom(paramData) {
        return Math.floor(Math.random() * paramData.length);
    }
    console.log(getRandom([1,2,3,4,5,6,7,8,9]));
    //9
    
</script>
</html>